#ifndef MS_SOCKET_H
#define MS_SOCKET_H
/* Pxys - An IRC ProxyScan, ms_socket.h
 * 
 * Copyright (C) 2001 Stephane Thiell <mbuna@undernet.org>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 *
 * $Id: ms_socket.h,v 1.2 2001/10/21 17:23:52 mbuna Exp $
 */
 

#include "typedefs.h"

#define SERVER_TCP_WINDOW 61440   /* 2048 for clients */


void irc_start();
void irc_init();
void irc_setsocket(struct sockaddr_in *servAddrPtr);

void* RunIRC();

void depacket(const char *buffer, int length);
int sock_select(int fd, char *readbuf, size_t bufSize);

int get_recv_bufSize(int fd);
int wait_for_connection(int fd);


#endif  /* MS_SOCKET_H */
